Aller au contenu

/api/v1/entries/{id} (PATCH)

PATCH
/api/v1/entries/{id}
curl --request PATCH \
--url https://example.com/api/v1/entries/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "clearProject": true, "taskId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "clearTask": true, "description": "example", "startedAt": "2026-04-15T12:00:00Z", "stoppedAt": "2026-04-15T12:00:00Z", "clearStop": true, "tagIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "isBillable": true }'
id
required
string format: uuid
Media type application/json
object
projectId
string format: uuid
nullable
clearProject
boolean
taskId
string format: uuid
nullable
clearTask
boolean
description
string
nullable
startedAt
string format: date-time
nullable
stoppedAt
string format: date-time
nullable
clearStop
boolean
tagIds
Array<string>
nullable
isBillable
boolean
nullable
Example generated
{
"projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"clearProject": true,
"taskId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"clearTask": true,
"description": "example",
"startedAt": "2026-04-15T12:00:00Z",
"stoppedAt": "2026-04-15T12:00:00Z",
"clearStop": true,
"tagIds": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"isBillable": true
}

OK